package com.kingdee.eas.custom.esign;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class AttachmentStoragePathConfigFactory
{
    private AttachmentStoragePathConfigFactory()
    {
    }
    public static com.kingdee.eas.custom.esign.IAttachmentStoragePathConfig getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IAttachmentStoragePathConfig)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("F0E9A80E") ,com.kingdee.eas.custom.esign.IAttachmentStoragePathConfig.class);
    }
    
    public static com.kingdee.eas.custom.esign.IAttachmentStoragePathConfig getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IAttachmentStoragePathConfig)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("F0E9A80E") ,com.kingdee.eas.custom.esign.IAttachmentStoragePathConfig.class, objectCtx);
    }
    public static com.kingdee.eas.custom.esign.IAttachmentStoragePathConfig getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IAttachmentStoragePathConfig)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("F0E9A80E"));
    }
    public static com.kingdee.eas.custom.esign.IAttachmentStoragePathConfig getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IAttachmentStoragePathConfig)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("F0E9A80E"));
    }
}